<?php

use yii\db\Migration;
use yii\db\Expression;

/**
 * Вставляет тестового администратора admin@mail.ru / adminka
 */
class m251112_121806_insert_admin extends Migration
{
    public function safeUp()
    {
        $password = 'adminka';
        $hash = Yii::$app->security->generatePasswordHash($password);
        $this->insert('{{%user}}', [
            'fio' => 'Администратор',
            'phone' => '+7(000)000-00-00',
            'email' => 'admin@mail.ru',
            'password_hash' => $hash,
            'auth_key' => Yii::$app->security->generateRandomString(),
            'role' => 'admin',
            'created_at' => time(),
            'updated_at' => time(),
        ]);
    }

    public function safeDown()
    {
        $this->delete('{{%user}}', ['email' => 'admin@mail.ru']);
    }
}